﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace JsTree.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult JSTree(string parent)
        {
            using (DemoDataContext db = new DemoDataContext())
            {
                if (parent == null)
                {
                    parent = string.Empty;
                }
                var data = db.Districts
                   .Where(o => o.ParentID == parent)
                   .OrderBy(o => o.Code)
                   .Select(o => new
                    {
                        attributes = new { o.ID, o.Code,o.Name },
                        id = o.Code,
                        data = o.Name,
                        state = db.Districts.Count(p => p.ParentID == o.ID) == 0 ? "" : "closed"
                    })
                    .ToArray();

                return Json(data);

            }

        }

    }
}
